-- MySQL dump 10.13  Distrib 5.7.35, for Linux (x86_64)
--
-- Host: localhost    Database: awscentr_data
-- ------------------------------------------------------
-- Server version	5.7.35-cll-lve

/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;
/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;
/*!40101 SET NAMES utf8 */;
/*!40103 SET @OLD_TIME_ZONE=@@TIME_ZONE */;
/*!40103 SET TIME_ZONE='+00:00' */;
/*!40014 SET @OLD_UNIQUE_CHECKS=@@UNIQUE_CHECKS, UNIQUE_CHECKS=0 */;
/*!40014 SET @OLD_FOREIGN_KEY_CHECKS=@@FOREIGN_KEY_CHECKS, FOREIGN_KEY_CHECKS=0 */;
/*!40101 SET @OLD_SQL_MODE=@@SQL_MODE, SQL_MODE='NO_AUTO_VALUE_ON_ZERO' */;
/*!40111 SET @OLD_SQL_NOTES=@@SQL_NOTES, SQL_NOTES=0 */;

--
-- Table structure for table `accounts`
--

DROP TABLE IF EXISTS `accounts`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `accounts` (
  `id` int(11) NOT NULL,
  `acc_co_no` mediumint(6) unsigned NOT NULL DEFAULT '0',
  `client_id` mediumint(6) unsigned NOT NULL DEFAULT '0',
  `created` datetime NOT NULL DEFAULT '1900-01-01 00:00:00',
  `amended` datetime NOT NULL DEFAULT '1900-01-01 00:00:00',
  `type` smallint(2) NOT NULL,
  `description` varchar(48) NOT NULL,
  `amount` decimal(10,2) NOT NULL DEFAULT '0.00',
  `cleared` tinyint(1) NOT NULL DEFAULT '0',
  UNIQUE KEY `co_no_2` (`acc_co_no`,`client_id`),
  KEY `co_no` (`acc_co_no`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `accounts`
--

LOCK TABLES `accounts` WRITE;
/*!40000 ALTER TABLE `accounts` DISABLE KEYS */;
/*!40000 ALTER TABLE `accounts` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `business`
--

DROP TABLE IF EXISTS `business`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `business` (
  `bus_id` mediumint(5) NOT NULL DEFAULT '0',
  `created` datetime NOT NULL DEFAULT '1900-01-01 00:00:00',
  `amended` datetime NOT NULL DEFAULT '1900-01-01 00:00:00',
  `deleted` datetime NOT NULL DEFAULT '1900-01-01 00:00:00',
  `authenticated` tinyint(1) unsigned NOT NULL DEFAULT '0' COMMENT '1 - email confirmed',
  `ratings_active` tinyint(3) unsigned NOT NULL DEFAULT '0' COMMENT '1 - true',
  `bus_url` varchar(255) COLLATE latin1_general_ci NOT NULL,
  `bus_email_activated` tinyint(1) unsigned NOT NULL DEFAULT '0',
  `bus_aff` varchar(20) COLLATE latin1_general_ci NOT NULL,
  `bus_name` varchar(60) COLLATE latin1_general_ci NOT NULL,
  `bus_type` varchar(60) COLLATE latin1_general_ci NOT NULL,
  `bus_landline` char(13) COLLATE latin1_general_ci NOT NULL,
  `bus_mobile` char(13) COLLATE latin1_general_ci NOT NULL,
  `bus_email` char(48) COLLATE latin1_general_ci NOT NULL,
  `bus_address` varchar(511) COLLATE latin1_general_ci NOT NULL,
  `bus_latitude` decimal(18,15) NOT NULL DEFAULT '0.000000000000000',
  `bus_longitude` decimal(18,15) NOT NULL DEFAULT '0.000000000000000',
  `bus_image` varchar(80) COLLATE latin1_general_ci NOT NULL,
  `bus_rating` decimal(2,1) unsigned NOT NULL DEFAULT '1.0' COMMENT 'out of 5',
  `bus_h1` varchar(80) COLLATE latin1_general_ci NOT NULL,
  `bus_h2` varchar(120) COLLATE latin1_general_ci NOT NULL,
  `bus_h3` varchar(511) COLLATE latin1_general_ci NOT NULL,
  `bus_des` varchar(255) COLLATE latin1_general_ci NOT NULL,
  `bus_video` text COLLATE latin1_general_ci COMMENT 'Can have multiple videos separated by ±',
  `bus_iframe` text COLLATE latin1_general_ci COMMENT 'Can have multiple iframes separated by ±',
  `bus_detail` text COLLATE latin1_general_ci,
  `bus_title` varchar(60) COLLATE latin1_general_ci NOT NULL,
  `bus_page_des` varchar(160) COLLATE latin1_general_ci NOT NULL,
  `bus_keywords` varchar(160) COLLATE latin1_general_ci NOT NULL,
  PRIMARY KEY (`bus_id`) USING BTREE,
  KEY `url` (`bus_url`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1 COLLATE=latin1_general_ci COMMENT='Company controlling db for non forward facing sites';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `business`
--

LOCK TABLES `business` WRITE;
/*!40000 ALTER TABLE `business` DISABLE KEYS */;
INSERT INTO `business` VALUES (3,'2021-09-13 00:00:00','2021-11-16 10:23:09','1900-01-01 00:00:00',0,0,'https://cheapwebhosting-uk.co.uk/',0,'whmcs/aff.php?aff=4','Cheap Host Ltd','Web Hosting Company','01234567890','444447788999','a@a.com','Ap Solve Ltd,127 Dollis Road,,London,,NW7 1JX',51.587348937988280,-0.220144376158714,'cheaphost.png',4.8,'CHEAP SUPER FAST SSD WEB HOSTING','Second to none for website hosting reliability and lightning transfer speeds along with extremely good value for money','From <a href=\"https://www.cheapwebhosting-uk.co.uk/hosting/\">Mini Hosting Â£15 p.a.</a><br />Â Â to <a href=\"https://www.cheapwebhosting-uk.co.uk/reseller-web-hosting/\">Mini Reseller Hosting Â£15 p.m.</a>','Choose a mini Personal Hosting for Â£15 per year up to a max Reseller Business Hosting @ Â£60 per month - staggering value for money.','<iframe src=\"https://player.vimeo.com/video/634488206\" width=\"640\" height=\"564\" frameborder=\"0\" allow=\"autoplay; fullscreen\" allowfullscreen></iframe>','','&lt;h2&gt;Just take a moment to browse these uniquely value&#45;for&#45;money options&lt;/h2&gt;\r\n&lt;div class=&quot;table&#45;responsive&quot;&gt;\r\n&lt;table class=&quot;table table&#45;bordered  table&#45;striped &quot;&gt;\r\n&lt;thead class=&quot;thead&#45;light&quot; colspan=&quot;8&quot;&gt;&lt;a href=&quot;https://www.cheapwebhosting&#45;uk.co.uk/&quot; target=&quot;&#95;blank&quot;&gt;Compare below:&#45;&lt;/a&gt;With datacenters in the US &#45; New York and UK &#45; London, all have Unlimited Bandwidth, Unlimited mySql Databases, Unlimited Email Addresses and Weekly Backups&lt;/th&gt;\r\n&lt;tr class=&quot;odd&quot;&gt;\r\n&lt;td scope=&quot;col&quot; colspan=&quot;4&quot;&gt;Annual costs&lt;/td&gt;\r\n&lt;td scope=&quot;col&quot; colspan=&quot;4&quot;&gt;Monthly costs&lt;/td&gt;\r\n&lt;/tr&gt;\r\n&lt;/thead&gt;\r\n&lt;tr class=&quot;even&quot;&gt;\r\n&lt;td scope=&quot;col&quot;&gt;&lt;a href=&quot;https://www.cheapwebhosting&#45;uk.co.uk/hosting/&quot; target=&quot;&#95;blank&quot;&gt;Mini Hosting &pound;15 p.a.&lt;/a&gt;&lt;/td&gt;\r\n&lt;td scope=&quot;col&quot;&gt;Basic Hosting &pound;22 p.a.&lt;/td&gt;\r\n&lt;td scope=&quot;col&quot;&gt;Standard Hosting &pound;30 p.a.&lt;/td&gt;\r\n&lt;td scope=&quot;col&quot;&gt;Business Hosting &pound;66 p.a.&lt;/td&gt;\r\n&lt;td scope=&quot;col&quot;&gt;&lt;a href=&quot;https://www.cheapwebhosting&#45;uk.co.uk/reseller&#45;web&#45;hosting/&quot; target=&quot;&#95;blank&quot;&gt;Reseller Mini &pound;15 p.m.&lt;/a&gt;&lt;/td&gt;\r\n&lt;td scope=&quot;col&quot;&gt;Reseller Basic &pound;30 p.m.&lt;/td&gt;\r\n&lt;td scope=&quot;col&quot;&gt;Reseller Standard &pound;40 p.m.&lt;/td&gt;\r\n&lt;td scope=&quot;col&quot;&gt;Reseller Business &pound;60 p.m.&lt;/td&gt;\r\n&lt;/tr&gt;\r\n&lt;tr class=&quot;odd&quot;&gt;\r\n&lt;td scope=&quot;col&quot;&gt;Â 1GB SSD storage&lt;/td&gt;\r\n&lt;td scope=&quot;col&quot;&gt;Â 2GB SSD storage&lt;/td&gt;\r\n&lt;td scope=&quot;col&quot;&gt;Â 5GB SSD storage&lt;/td&gt;\r\n&lt;td scope=&quot;col&quot;&gt;15GB SSD storage&lt;/td&gt;\r\n&lt;td scope=&quot;col&quot;&gt;25GB SSD storage&lt;/td&gt;\r\n&lt;td scope=&quot;col&quot;&gt;100GB SSD storage&lt;/td&gt;\r\n&lt;td scope=&quot;col&quot;&gt;150GB SSD storage&lt;/td&gt;\r\n&lt;td scope=&quot;col&quot;&gt;250GB SSD storage&lt;/td&gt;\r\n&lt;/tr&gt;\r\n&lt;tr class=&quot;even&quot;&gt;\r\n&lt;td scope=&quot;col&quot;&gt;Â 2 Unique Websites&lt;/td&gt;\r\n&lt;td scope=&quot;col&quot;&gt;Â 3 Unique Websites&lt;/td&gt;\r\n&lt;td scope=&quot;col&quot;&gt;Â 5 Unique Websites&lt;/td&gt;\r\n&lt;td scope=&quot;col&quot;&gt;Unlimited Websites&lt;/td&gt;\r\n&lt;td scope=&quot;col&quot;&gt;20 cPanel Accounts&lt;/td&gt;\r\n&lt;td scope=&quot;col&quot;&gt;40 cPanel Accounts&lt;/td&gt;\r\n&lt;td scope=&quot;col&quot;&gt;60 cPanel Accounts&lt;/td&gt;\r\n&lt;td scope=&quot;col&quot;&gt;80 cPanel Accounts&lt;/td&gt;\r\n&lt;/tr&gt;\r\n&lt;tr class=&quot;odd&quot;&gt;\r\n&lt;td scope=&quot;col&quot;&gt;Cloudlinux Servers&lt;/td&gt;\r\n&lt;td scope=&quot;col&quot;&gt;Cloudlinux Servers&lt;/td&gt;\r\n&lt;td scope=&quot;col&quot;&gt;Cloudlinux Servers&lt;/td&gt;\r\n&lt;td scope=&quot;col&quot;&gt;Cloudlinux Servers&lt;/td&gt;\r\n&lt;td scope=&quot;col&quot;&gt;Monthly Backups&lt;/td&gt;\r\n&lt;td scope=&quot;col&quot;&gt;Monthly Backups&lt;/td&gt;\r\n&lt;td scope=&quot;col&quot;&gt;Monthly Backups&lt;/td&gt;\r\n&lt;td scope=&quot;col&quot;&gt;Monthly Backups&lt;/td&gt;\r\n&lt;/tr&gt;\r\n&lt;/table&gt;\r\n&lt;/div&gt;\r\n\r\n&lt;div&gt;\r\n&lt;h3&gt;for reseller hosting&lt;/h3&gt;\r\n&lt;p&gt;\r\n&lt;ul&gt;\r\n&lt;li&gt;Automatically migrate your accounts from your current server to us without loss of data.&lt;/li&gt;\r\n&lt;li&gt;Set up your own private nameservers.&lt;/li&gt;\r\n&lt;li&gt;All packages are scalable to meet changes in demand.&lt;/li&gt;\r\n&lt;/ul&gt;\r\n&lt;/p&gt;\r\n&lt;p&gt;\r\nPurchase &lt;a href=&quot;https://www.cheapwebhosting&#45;uk.co.uk/domain&#45;names/&quot; &#95;target=&quot;&#95;blank&quot;&gt;Cheap Domain Names&lt;/a&gt; for your private nameservers.\r\n&lt;/p&gt;\r\n&lt;p&gt;\r\nThe team are available 24 hours a day to support ticket and livechat assistance.\r\n&lt;/p&gt;\r\n&lt;h3&gt;for personal hosting&lt;/h3&gt;\r\n&lt;p&gt;\r\n&lt;ul&gt;\r\n&lt;li&gt;Enjoy a super fast, stable and reliable hosting service&lt;/li&gt;\r\n&lt;li&gt;One of the cheapest hosting companies in the market.&lt;/li&gt;\r\n&lt;li&gt;Receive Softaculous for all the best FREE software allowing you to install all the popular software with the click of a button.&lt;/li&gt;\r\n&lt;li&gt;Wordpress web hosting specialists along with many other popular CMS platforms such as Joomla and Drupal receive solutions with one click when using Softaculous.&lt;/li&gt;\r\n&lt;li&gt;Make the most of the Let&#39;s Encrypt FREE SSL certificate plugin.&lt;/li&gt;\r\n&lt;li&gt;For extra peace of mind, our customers are recommended to monitor their websites with free services such as UptimeRobot and Pingdom.&lt;/li&gt;\r\n&lt;li&gt;Also, &lt;a href=&quot;https://www.cheapwebhosting&#45;uk.co.uk/web&#45;hosting&#45;offers/&quot; target=&quot;&#95;blank&quot;&gt;check the offers page&lt;/a&gt; you&#39;ll be surprised.&lt;/li&gt;\r\n&lt;/ul&gt;\r\n&lt;/p&gt;\r\n&lt;/div&gt;','cheapwebhosting-uk.co.uk\'s advantages in brief','What\'s available at cheapwebhosting-uk.co.uk','cheapwebhosting-uk.co.uk blisteringly fast web hosting very reliable high availability low cost'),(4,'2021-09-21 17:42:42','2021-11-16 10:56:05','1900-01-01 00:00:00',0,0,'https://scammers.halifax.co.uk/insurance/home-insurance.html',0,'zq99','Halifax Insurance','Home Insurance','','','','Halifax PLC,PO Box 548,,Leeds,West Yorkshire,LS1 1WU',53.796314239501950,-1.564141392707825,'Halifax.png',0.3,'DO HALIFAX INSURANCE EVER SETTLE CLAIMS  - REVIEWS FROM Trustpilot','Halifax Ins - probably the worst insurance company in the world.','Halifax Ins - It is estimated that  around 3% of claims are settled.','Halifax Ins - Would not recommend!! - Typical review.',NULL,NULL,'<p>Examples of failures.</p>\r\n\r\n<p>If I could give this a negative score I would. We had a fire in January 2021, and we are still trying to get work completed. We took the Halifax 5* defaqto ultimate policy, and honestly, it\'s not worth the paper it\'s written on, I wouldn\'t like to see the cover given in the basic plan. They hire sub-optimal building companies and pass all their queries through their loss adjuster, also of a very poor standard. We have found them unhelpful, obstructive, and rude at times. We got no project manager so have had to project manage a massive job ourselves. So far we\'ve submitted 2 formal complaints, all of which were found to be valid and we got compensated, we now have 2 further complaints lodged. But despite this nothing ever gets done, so Halifax must not follow up to determine if changes have taken place. In our policy, we have matching sets cover, and I\'d like to know what this covers as it can\'t be found anywhere on the website or information book. They have so far tried to build a gable wall in 2 different bricks, and join a completely different fascia board into the pre-existing one, saying this isn\'t included in having to be done matching! You couldn\'t write it. Avoid at all costs!</p>\r\n\r\n<p>Burst pipe..not covered under burst pipe Today, Sunday, September 19 2021 I discovered a water leak in the dining room. The leak was within one of the walls. I contacted Halifax Insurance as I have an emergency policy with them. The policy document states under what is covered \' Failure of, or damage to, the plumbing or drainage system which will result in water damage inside YOUR HOME.\' This includes \'burst pipes\' and other items... On phoning the emergency number I was told that seek and discovery was not covered. ie as the leak was not visible it was not covered. ie...the leaking pipe was not visible. I think all houses will have water pipes and electric cables within the walls. Taps perhaps? No. These were not covered. What then was covered. Leaking pipes that were easily seen. There are none that I could see. Misleading? Dishonest, I think both. Insurance in name only - avoid Absolutely not worth the paper it is written on and it seems they have a way to weasel their way out of any responsibility.</p>\r\n\r\n<p>In our case, our underground pipework has become infested with tree roots - typically covered by home insurance, but not by Halifax (or Lloyds Banking Group more specifically). From the initial call where scare tactics were used to get me to avoid making a claim (my yearly premium will go up) to the careful use of language to entrap me or not reveal what I needed to know - just a painful, expensive and utterly useless product. Other insurers cover this, the advice is to use Aviva whose insurance is actually insurance and not basically a scam. Avoid. They won\'t ever settle a claim.</p>\r\n\r\n<p>The boiler was condemned at the beginning of January 2021 during a service. Because they didn\'t condemn it themselves (as i always call out my insurance company for services) the emergency boiler cover was not applicable!!!!!! I froze during a -15C spell during the January lockdown as to source a new boiler and the engineer took weeks. I cancelled soon after once I\'d checked reviews and argued with the same woman a few times about what a joke it was. I realised nobody gets a claim sorted. I switched my car insurance too. I\'d never claimed but imagine that the service would be just as bad. Total con artists, do not touch or ever take a policy out with these people. Would not recommend!!</p>\r\n\r\n<p>You only know how good a company is when there is an issue to resolve! I have never claimed on home insurance. After a recent storm, our wall came down. Their \'independent\' company said, \'the storm highlighted a weakness in the wall\'. Well, if there was no storm the wall would still be standing! Plus the wall is 3.5m tall so would not just fall down. Even after appealing and providing a surveyor report, they refused to payout. Avoid at all costs!</p>\r\n\r\n<p>Having bought Halifax Home Insurance I was persuaded to add AZP HE 24 hour Emergency Cover. What a waste of money. Today I called them at 7.24 am to report an emergency. I had no electricity so no hot water, no internet, no way to cook or boil a kettle, and the fridge and freezer were not working. They promised to call me back shortly and it is now 10 hours later and I haven\'t heard from them. I tried to call the insurers back but each time ended up in a queue. Eventually, a friend helped me to isolate the problem and I have now booked an electrician to fix it in a couple of days. But at least I now have power and hot water. I will now cancel the so-called \'emergency cover\' and will ask the insurers to repay my monthly payments as clearly they have been taken under false pretenses. Terrible service, not to be recommended.</p>\r\n\r\n<p>We have both regular and emergency insurance with them. The regular one refused to cover roof damage caused by a storm. The emergency one sent a guy who, from his car, told us it was too high and needed scaffolding ( even though we stated it is 3 floors on the claim). After 4 days we have been informed that a useless visit (no inspection whatsoever) was charged at Â£140. They are stealing your money. The quote for scaffolding is triple the amount you would normally pay to discourage you from claiming anything. It\'s been 4 days, nobody had a look at the roof and it is raining indoors ( emergency cover apparently) It is a fraud.</p>\r\n\r\n<p>And the list goes on!</p>','Halifax Insurance - Avoid like the plague.','Is Halifax Insure fit for purpose - read the reviews','Halifax Ins Scammers Robbers');
/*!40000 ALTER TABLE `business` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `control_fv`
--

DROP TABLE IF EXISTS `control_fv`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `control_fv` (
  `cfv_id` mediumint(6) unsigned NOT NULL,
  `created` datetime NOT NULL DEFAULT '1900-01-01 00:00:00',
  `updated` datetime NOT NULL DEFAULT '1900-01-01 00:00:00',
  `next_media_id` mediumint(6) unsigned NOT NULL DEFAULT '1',
  `next_client_id` mediumint(6) unsigned NOT NULL DEFAULT '1',
  `use_audio` tinyint(1) unsigned NOT NULL DEFAULT '1' COMMENT '1 - true',
  `voice` tinyint(1) unsigned NOT NULL DEFAULT '0' COMMENT '1 - male',
  `v_control` tinyint(1) unsigned NOT NULL DEFAULT '1' COMMENT '	toggle paylist voice on or off - 1 is on',
  `v_customer` tinyint(1) unsigned NOT NULL DEFAULT '1' COMMENT 'toggle customer voice on or off - 1 is on',
  `v_domain` tinyint(1) unsigned NOT NULL DEFAULT '1' COMMENT 'toggle domain voice on or off, 1 is on',
  `v_service` tinyint(1) unsigned NOT NULL DEFAULT '1' COMMENT 'toggle service voice on or off - 1 is on',
  `v_vat` tinyint(1) unsigned NOT NULL DEFAULT '1' COMMENT 'toggle vat list voice on or off - 1 is on',
  `v_phone` tinyint(1) unsigned NOT NULL DEFAULT '1' COMMENT 'toggle diary voice on or off - 1 is on',
  `v_diary` tinyint(1) unsigned NOT NULL DEFAULT '1' COMMENT 'toggle phone list voice on or off - 1 is on',
  `v_task` tinyint(1) unsigned NOT NULL DEFAULT '1' COMMENT 'toggle customer voice on or off - 1 is on',
  `v_servinvs` tinyint(1) unsigned NOT NULL DEFAULT '1' COMMENT 'toggle servinvs voice on or off - 1 is on',
  `v_payinvs` tinyint(1) unsigned NOT NULL DEFAULT '1' COMMENT 'toggle payinvs voice on or off - 1 is on',
  `v_paylist` tinyint(1) unsigned NOT NULL DEFAULT '1' COMMENT 'toggle paylist voice on or off - 1 is on',
  PRIMARY KEY (`cfv_id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `control_fv`
--

LOCK TABLES `control_fv` WRITE;
/*!40000 ALTER TABLE `control_fv` DISABLE KEYS */;
INSERT INTO `control_fv` VALUES (1,'1900-01-01 00:00:00','1900-01-01 00:00:00',1,5,1,0,1,1,1,1,1,1,1,1,1,1,1);
/*!40000 ALTER TABLE `control_fv` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `ideas`
--

DROP TABLE IF EXISTS `ideas`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `ideas` (
  `idea_id` mediumint(6) unsigned NOT NULL DEFAULT '0',
  `idea_co_no` mediumint(6) unsigned NOT NULL DEFAULT '0',
  `created` datetime NOT NULL DEFAULT '1900-01-01 00:00:00',
  `amended` datetime NOT NULL DEFAULT '1900-01-01 00:00:00',
  `deleted` datetime NOT NULL DEFAULT '1900-01-01 00:00:00',
  `heading` varchar(60) COLLATE latin1_general_ci NOT NULL,
  `detail` varchar(511) COLLATE latin1_general_ci NOT NULL,
  UNIQUE KEY `co_ideas_id` (`idea_co_no`,`idea_id`),
  KEY `co_no` (`idea_co_no`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1 COLLATE=latin1_general_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `ideas`
--

LOCK TABLES `ideas` WRITE;
/*!40000 ALTER TABLE `ideas` DISABLE KEYS */;
/*!40000 ALTER TABLE `ideas` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `invoice_payment_matrix`
--

DROP TABLE IF EXISTS `invoice_payment_matrix`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `invoice_payment_matrix` (
  `ipm_id` mediumint(6) unsigned NOT NULL DEFAULT '0',
  `ipm_co_no` mediumint(6) unsigned NOT NULL DEFAULT '0',
  `created` datetime NOT NULL DEFAULT '1900-01-01 00:00:00',
  `invoice_id` mediumint(6) NOT NULL DEFAULT '0' COMMENT '-1 = petty cash',
  `payment_id` mediumint(6) unsigned NOT NULL DEFAULT '0',
  `ipm_payment_value` decimal(8,2) NOT NULL DEFAULT '0.00',
  PRIMARY KEY (`ipm_co_no`,`ipm_id`) USING BTREE,
  KEY `co_payment_no` (`ipm_co_no`,`payment_id`) USING BTREE,
  KEY `co_inv_no` (`ipm_co_no`,`invoice_id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `invoice_payment_matrix`
--

LOCK TABLES `invoice_payment_matrix` WRITE;
/*!40000 ALTER TABLE `invoice_payment_matrix` DISABLE KEYS */;
/*!40000 ALTER TABLE `invoice_payment_matrix` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `invoices`
--

DROP TABLE IF EXISTS `invoices`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `invoices` (
  `invoice_id` mediumint(6) unsigned NOT NULL DEFAULT '0',
  `inv_co_no` mediumint(6) unsigned NOT NULL DEFAULT '0',
  `created` datetime NOT NULL DEFAULT '1900-01-01 00:00:00',
  `amended` datetime NOT NULL DEFAULT '1900-01-01 00:00:00',
  `inv_deleted` datetime NOT NULL DEFAULT '1900-01-01 00:00:00',
  `customer_id` mediumint(6) unsigned NOT NULL DEFAULT '0',
  `invoice_date` date NOT NULL DEFAULT '1900-01-01',
  `inv_vat_in_price` tinyint(1) unsigned NOT NULL DEFAULT '0' COMMENT '0 - true',
  `inv_nett_value` decimal(8,2) unsigned NOT NULL DEFAULT '0.00',
  `inv_vat_value` decimal(7,2) unsigned NOT NULL DEFAULT '0.00',
  `invoice_value` decimal(8,2) unsigned NOT NULL DEFAULT '0.00',
  `inv_sent` tinyint(1) unsigned NOT NULL DEFAULT '0' COMMENT '1 - sent',
  `inv_seen` tinyint(1) unsigned NOT NULL DEFAULT '0' COMMENT '1 - seen',
  `inv_date_paid` date NOT NULL DEFAULT '1900-01-01' COMMENT 'Date last payment made where paid = value',
  `inv_simple` tinyint(1) unsigned NOT NULL DEFAULT '0' COMMENT '1 - simple, no tasks',
  `inv_subscription` tinyint(1) unsigned NOT NULL DEFAULT '0' COMMENT '1 - subscription',
  `inv_repeats` tinyint(2) unsigned NOT NULL DEFAULT '0' COMMENT '''0 - no repeat, 1 - year, 2 - month, 3 - week',
  `inv_repeats_every` tinyint(2) unsigned NOT NULL DEFAULT '0' COMMENT 'every x periods',
  `inv_repeats_from_inv_id` mediumint(6) unsigned NOT NULL DEFAULT '0',
  `inv_repeats_next_date` date NOT NULL DEFAULT '1900-01-01',
  `inv_repeats_next_inv_id` mediumint(6) unsigned NOT NULL DEFAULT '0',
  `inv_repeats_end_date` date NOT NULL DEFAULT '1900-01-01',
  `inv_rem_year_sent` date NOT NULL DEFAULT '1901-01-01',
  `inv_rem_month_sent` date NOT NULL DEFAULT '1901-01-01',
  `inv_rem_week_sent` date NOT NULL DEFAULT '1901-01-01',
  `inv_terms_warn_sent` date NOT NULL DEFAULT '1900-01-01',
  `inv_terms_stop_sent` date NOT NULL DEFAULT '1900-01-01',
  `inv_terms_legal_sent` date NOT NULL DEFAULT '1900-01-01',
  `inv_service` varchar(80) DEFAULT NULL,
  `inv_reference` varchar(80) DEFAULT NULL,
  `inv_notes` varchar(255) DEFAULT NULL,
  UNIQUE KEY `co_inv_no` (`inv_co_no`,`invoice_id`) USING BTREE,
  KEY `co_cust_no` (`inv_co_no`,`customer_id`),
  KEY `inv_simple` (`inv_simple`),
  KEY `inv_repeats` (`inv_repeats`),
  KEY `inv_deleted` (`inv_deleted`),
  KEY `invoice_date` (`invoice_date`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `invoices`
--

LOCK TABLES `invoices` WRITE;
/*!40000 ALTER TABLE `invoices` DISABLE KEYS */;
/*!40000 ALTER TABLE `invoices` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `media`
--

DROP TABLE IF EXISTS `media`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `media` (
  `media_id` mediumint(6) unsigned NOT NULL DEFAULT '0',
  `med_co_no` mediumint(6) unsigned NOT NULL DEFAULT '0',
  `created` datetime NOT NULL DEFAULT '1900-01-01 00:00:00',
  `amended` datetime NOT NULL DEFAULT '1900-01-01 00:00:00',
  `med_deleted` datetime NOT NULL DEFAULT '1900-01-01 00:00:00',
  `med_category` smallint(3) unsigned NOT NULL DEFAULT '0',
  `med_type` tinyint(2) unsigned NOT NULL DEFAULT '0',
  `med_name` varchar(80) COLLATE latin1_general_ci NOT NULL,
  `med_dim` char(32) COLLATE latin1_general_ci NOT NULL,
  `med_description` varchar(1022) COLLATE latin1_general_ci NOT NULL,
  UNIQUE KEY `co_media_id` (`med_co_no`,`media_id`),
  KEY `co_no` (`med_co_no`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1 COLLATE=latin1_general_ci COMMENT='All images and podcasts';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `media`
--

LOCK TABLES `media` WRITE;
/*!40000 ALTER TABLE `media` DISABLE KEYS */;
/*!40000 ALTER TABLE `media` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `media_categories`
--

DROP TABLE IF EXISTS `media_categories`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `media_categories` (
  `mc_id` smallint(2) unsigned NOT NULL DEFAULT '0',
  `mc_co_no` mediumint(6) unsigned NOT NULL DEFAULT '0',
  `created` datetime NOT NULL DEFAULT '1900-01-01 00:00:00',
  `updated` datetime NOT NULL DEFAULT '1900-01-01 00:00:00',
  `deleted` datetime NOT NULL DEFAULT '1900-01-01 00:00:00',
  `category_heading` char(40) NOT NULL,
  UNIQUE KEY `co_med_cat_id` (`mc_co_no`,`mc_id`),
  KEY `co_no` (`mc_co_no`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `media_categories`
--

LOCK TABLES `media_categories` WRITE;
/*!40000 ALTER TABLE `media_categories` DISABLE KEYS */;
/*!40000 ALTER TABLE `media_categories` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `payments`
--

DROP TABLE IF EXISTS `payments`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `payments` (
  `payment_id` mediumint(6) unsigned NOT NULL DEFAULT '0',
  `pay_co_no` mediumint(6) unsigned NOT NULL DEFAULT '0',
  `created` datetime NOT NULL DEFAULT '1900-01-01 00:00:00',
  `amended` datetime NOT NULL DEFAULT '1900-01-01 00:00:00',
  `user_id` mediumint(6) unsigned NOT NULL DEFAULT '0',
  `customer_id` mediumint(6) unsigned NOT NULL DEFAULT '0',
  `pni` tinyint(1) unsigned NOT NULL DEFAULT '0' COMMENT '0 - payment against invoices, 1 - no invoice reference',
  `pay_payment_date` datetime NOT NULL DEFAULT '1900-01-01 00:00:00' COMMENT 'compares with ipm created for paid so far ',
  `pay_payment_value` decimal(8,2) NOT NULL DEFAULT '0.00',
  `pay_payment_type` tinyint(2) unsigned NOT NULL DEFAULT '0',
  `pay_notes` varchar(255) DEFAULT NULL,
  UNIQUE KEY `co_payment_id` (`pay_co_no`,`payment_id`),
  KEY `co_no` (`pay_co_no`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `payments`
--

LOCK TABLES `payments` WRITE;
/*!40000 ALTER TABLE `payments` DISABLE KEYS */;
/*!40000 ALTER TABLE `payments` ENABLE KEYS */;
UNLOCK TABLES;
/*!40103 SET TIME_ZONE=@OLD_TIME_ZONE */;

/*!40101 SET SQL_MODE=@OLD_SQL_MODE */;
/*!40014 SET FOREIGN_KEY_CHECKS=@OLD_FOREIGN_KEY_CHECKS */;
/*!40014 SET UNIQUE_CHECKS=@OLD_UNIQUE_CHECKS */;
/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
/*!40101 SET CHARACTER_SET_RESULTS=@OLD_CHARACTER_SET_RESULTS */;
/*!40101 SET COLLATION_CONNECTION=@OLD_COLLATION_CONNECTION */;
/*!40111 SET SQL_NOTES=@OLD_SQL_NOTES */;

-- Dump completed on 2021-11-20  4:37:03
