<?php
	defined( '_vrbxcv{_}+[-]/(=)25645ddgGGTUwk' ) or die( 'Restricted access' );

class DB_Class {
  var $_sql	= '';				/** @var string Internal variable to hold the query sql */
  var $_errorNum	= 0;		/** @var int Internal variable to hold the database error number */
  var $_errorMsg	= '';		/** @var string Internal variable to hold the database error message */
  var $_table_prefix	= ''; /** @var string Internal variable to hold the prefix used on all database tables */
  var $_resource	= '';		/** @var Internal variable to hold the connector resource */
  var $_cursor	= null;		/** @var Internal variable to hold the last query cursor */
  var $_debug	= 1;  /** @var boolean Debug option */
  var $_limit	= 0;  /** @var int The limit for the query */
  var $_offset	= 0;  /** @var int The for offset for the limit */
  var $_ticker	= 0;  /** @var int A counter for the number of queries performed by the object instance */
  var $_log	= null; /** @var array A log of queries */
  var $_nullDate	= '0000-00-00 00:00:00';  /** @var string The null/zero date string */
  var $_nameQuote	= '`';  /** @var string Quote for named objects */

/*
  * Database object constructor
  * @param string Database host
  * @param string Database user name
  * @param string Database user password
  * @param string Database name
  * @param string Common prefix for all tables
  * @param boolean If true and there is an error, go offline
*/
  function __construct( $db='', $user, $pass, $host, $table_prefix='', $goOffline=true, $root=0 ) {
    // perform a number of fatality checks, then die gracefully
    if ( ! function_exists ( 'mysqli_connect' ) ) {
      echo "<br />function -mysqli_connect- does not exist";
      if ( $goOffline ) {
        exit();
      }
    }
    if ( ! ( $this->_resource = @mysqli_connect ( $host, $user, $pass ) ) ) {
      echo "<br />unable to connect to db server '$host'";
      if ( $goOffline ) {
        exit();
      }
    }

    if ($root == 1) return;

    if ( $db != '' && ! mysqli_select_db ( $this->_resource, $db ) ) {
      echo "<br />unable to select db '$db'";
      if ( $goOffline ) {
        exit();
      }
    }
    $this->_ticker  = 0;
    $this->_log   = array();
  }
  function fetch ( $sql ) {
    $this->_sql = $sql;
    if ( ! ( $this->_cursor = $this->query() ) ) {
      return null;
    }
    $data   = array();
    while ( $row = mysqli_fetch_assoc ( $this->_cursor ) ) {
/*			foreach ( $row as $key => $value )	{
				$value = unEscape ( $value );
				if ( ! is_array ( $value ) ) {
					
				} else {
	
					while ( list ( $k, $v ) = each ( $value ) ) {
						$v = unEscape ( $v );
					}
				}
			}		*/
      $data[] = $row;
    }
    return $data;
  }
  function update ( $sql ) {
    $this->_sql = $sql;
    $result     = $this->query ();
    return $result;
  }
  function info ( ) {
    $return = mysqli_info ( $this->_resource );
    return $return;
  }
  function row_count ( $table ) {
    $sql        = "SELECT COUNT(*) FROM $table ";
    $this->_sql = $sql;
    $result     = $this->query ();
    $total_rows = mysql_fetch_row ( $result );
    return $total_rows[0];
  }
  function last_insert_id() {
    global $db_display_queries;
    global $module_log;
    global $boundary_delimiter;

// before thinking about using mysqli_insert_id - check it out properly
    $result   = mysqli_insert_id ( $this->_resource );
    $module_log.= "$boundary_delimiter Last_insert_id $result";
    return $result;
  }
  function affected_rows() {
    $result   = mysqli_affected_rows ( $this->_resource );
//    echo '<br />affected_rows' . $result . '<br />';
    return $result;
  }
  function query() {
    global $module_log;
    global $boundary_delimiter;
		global $ok;											// to stop processing
		
    if ( $this->_debug ) {
      $this->_ticker++;
      $this->_log[] = $this->_sql;
    }
/*  if ($this->_limit > 0 || $this->_offset > 0) {
      $this->_sql .= "\nLIMIT $this->_offset, $this->_limit";
    } */
    $this->_errorNum = 0;
    $this->_errorMsg = '';
    $this->_cursor = mysqli_query( $this->_resource, $this->_sql );
    if ( ! $this->_cursor ) {
      $ok	= 0;											// this will stop processing - if tested for
      $this->_errorNum = mysqli_errno( $this->_resource );
      $this->_errorMsg = mysqli_error( $this->_resource )." SQL=$this->_sql";
      if ( $this->_debug ) {
        trigger_error( mysqli_error( $this->_resource ), E_USER_NOTICE );
        echo "<pre><b>" . $this->_sql . "</b></pre>\n";
        $module_log .= $boundary_delimiter . $this->_sql;
        if ( function_exists ( 'debug_backtrace' ) ) {
          $module_log .= $boundary_delimiter;
          foreach( debug_backtrace() as $back ) {
            if ( @$back['file'] ) {
              echo '<br />'.$back['file'].':'.$back['line'];
              $module_log .= $boundary_delimiter . $back['file'] . ':' . $back['line'] . ' ';
            }
          }
        }
      }
      return false;
    } else {
      if ( function_exists ( 'debug_backtrace' ) ) {
        $module_log .= $boundary_delimiter;
        foreach( debug_backtrace() as $back ) {
          if ( @$back['file'] ) {
            $module_log .= $boundary_delimiter . $back['file'] . ':' . $back['line'] . ' ';
          }
        }
      }
      $module_log .= $boundary_delimiter . $this->_sql . ' - UPDATE Record count ' . mysqli_affected_rows ( $this->_resource ) . $boundary_delimiter;
    }
    return $this->_cursor;
  }
  function query_warning () {
		$warningCountResult = mysql_query("SELECT @@warning_count");
		if ($warningCountResult) {
			$warningCount = mysql_fetch_row($warningCountResult );
			if ($warningCount[0] > 0) {
        //Have warnings
        $warningDetailResult = mysql_query("SHOW WARNINGS");
        if ($warningDetailResult ) {
					while ( $warning = mysql_fetch_assoc ( $warningDetailResult ) ) {
          	//Process it
					}
        }
			}
    }//Else no warnings
  }
  function query_batch( $sql, $abort_on_error=true, $p_transaction_safe = false) {
    $this->_errorNum = 0;
    $this->_errorMsg = '';
    if ($p_transaction_safe) {
      $si = mysql_get_server_info( $this->_resource );
      preg_match_all( "/(\d+)\.(\d+)\.(\d+)/i", $si, $m );
      if ($m[1] >= 4) {
        $this->_sql = 'START TRANSACTION;' . $this->_sql . '; COMMIT;';
      } else if ($m[2] >= 23 && $m[3] >= 19) {
        $this->_sql = 'BEGIN WORK;' . $this->_sql . '; COMMIT;';
      } else if ($m[2] >= 23 && $m[3] >= 17) {
        $this->_sql = 'BEGIN;' . $this->_sql . '; COMMIT;';
      }
    }
    $query_split = preg_split ("/[;]+/", $this->_sql);
    $error = 0;
    foreach ($query_split as $command_line) {
      $command_line = trim( $command_line );
      if ($command_line != '') {
        $this->_cursor = mysqli_query( $command_line, $this->_resource );
        if (!$this->_cursor) {
          $error = 1;
          $this->_errorNum .= mysqli_errno( $this->_resource ) . ' ';
          $this->_errorMsg .= mysqli_error( $this->_resource )." SQL=$command_line <br />";
          if ($abort_on_error) {
            return $this->_cursor;
          }
        }
      }
    }
    return $error ? false : true;
  }
/*
* Diagnostic function
*/
  function explain_query () {
    $temp   = $this->_sql;
    $this->_sql = "EXPLAIN $this->_sql";
//    $this->query();
    if ( ! ( $cur = $this->query() ) ) {
      return null;
    }
    $first  = true;
    $buf  = "<table cellspacing=\"1\" cellpadding=\"2\" border=\"0\" bgcolor=\"#000000\" align=\"center\">";
    $buf  .= $temp;
    while ( $row = mysql_fetch_assoc ( $cur ) ) {
      if ( $first ) {
        $buf  .= "<tr>";
        foreach ($row as $k=>$v) {
          $buf  .= "<th bgcolor=\"#ffffff\">$k</th>";
        }
        $buf  .= "</tr>";
        $first  = false;
      }
      $buf  .= "<tr>";
      foreach ( $row as $k=>$v ) {
        $buf .= "<td bgcolor=\"#ffffff\">$v</td>";
      }
      $buf .= "</tr>";
    }
    $buf  .= "</table><br />&nbsp;";
    $this->_sql = $temp;
    return "<div style=\"background-color:#FFFFCC\" align=\"left\">$buf</div>";
  }
  function dbstats( ) {
		return mysqli_stat ( $this->_resource );
  }
	
}


/*
\0  An ASCII 0 (NUL) character.
\'  A single quote (ï¿½'ï¿½) character.
\"  A double quote (ï¿½"ï¿½) character.
\b  A backspace character.
\n  A newline (linefeed) character.
\r  A carriage return character.
\t  A tab character.
\Z  ASCII 26 (Control-Z). See note following the table.
\\  A backslash (ï¿½\ï¿½) character.
\%  A ï¿½%ï¿½ character. See note following the table.
\_  A ï¿½_ï¿½ character. See note following the table.
*/

  function getEscaped ( $text ) {
// process all special characters / HTML Entities into their ISO Latin-1 code
// $more_escaped = addcslashes($escaped, '%_');
//  Characters encoded are NUL (ASCII 0), \n, \r, \, ', ", and Control-Z.
    $text	= addslashes ( $text );
    $s    = array ( '\"', '"', "\'", "'", "\\", "\\\\",
              '<', '>', "\r\n", "\r", "\n", "£", "$", "%",
              "°", '`', '´', "-", "_",
              "{", "}", "(", ")",
              '&ldquo;', '&rdquo;', "&lsquo;", "&rsquo;" );
    $r    = array ( '&quot;', '&quot;', '&#39;', '&#39;', "&#92;", "&#92;",
              '&lt;', '&gt;', '&#010;', '&#010;', '&#010;', '&#163;', '&#36;', '&#37;',
              '&#176;', '&#96;', '&#180;', '&#45;', '&#95;',
              '&#123;', '&#125;', '&#40;', '&#41;',
              '&#8220;', '&#8221;', '&#8216;', '&#8217;' );

    return str_replace ( $s, $r, $text );
  }

  function unEscape ( $text ) {
    global $module_log;
    global $unEscape_type;
    global $unEsc_type;
    $backup_unEscape_type = $unEscape_type;
    if ( isset ( $unEsc_type ) && $unEsc_type > 3 ) {
      $unEscape_type  = $unEsc_type;
    }
 		$unEscape_type	= 1;
// Depending on context convert back to original value as necessary.
    if ( $unEscape_type == 1 ) {
      $s    = array ( '&#34;', '&#39;', '&lt;', '&gt;', '&#010;',
                '&#95;', '&#123;', '&#125;', '&#40;', '&#41;', '&#45;',
                '&quot;', '&#8220;', '&#8221;', '&#8216;', '&#8217;' );
      $r    = array ( '"', "'", '<', '>', "\r\n",
                "_", "{", "}", "(", ")", "-",
                '"', '"', '"', "'", "'" );
    }
    elseif ( $unEscape_type == 2 ) {
      $s    = array ( '[crnl]', '&#96;', '&#180;' );
      $r    = array ( "\r\n", '`', '´' );
    }
    elseif ( $unEscape_type == 3 ) {
      $s    = array ( '[crnl]', "&#45;", '&#96;', '&#180;' );
      $r    = array ( "\r\n", "-", '`', '´' );
    }
    elseif ( $unEscape_type == 4 ) {
      $s    = array ( '&#34;', '&#39;', '&lt;', '&gt;',
                '[crnl]', '&#95;', '&#123;', '&#125;', '&#40;', '&#41;', '&#45;',
                '&quot;', "£", '&#8220;', '&#8221;', '&#8216;', '&#8217;' );
      $r    = array ( '"', "'", '<', '>',
                "\r\n", "_", "{", "}", "(", ")", "-",
                '"', "&pound;", '"', '"', "'", "'" );
    }
    elseif ( $unEscape_type == 5 ) {
      $s    = array ( '&#34;', '&lt;', '&gt;',
                '[crnl]', '&#95;', '&#123;', '&#125;', '&#40;', '&#41;', '&#45;',
                '&quot;', "£", '&#8220;', '&#8221;', '&#8216;', '&#8217;' );
      $r    = array ( '"', '<', '>',
                "<br />", "_", "{", "}", "(", ")", "-",
                '"', "&pound;", '"', '"', "'", "'" );
    }
    else {
      $module_log .= $boundary_delimiter . "* * * * $unEscape_type Context not set in unEscape";
      $write_ml = 1;
    }
    $unEscape_type  = $backup_unEscape_type;
    return str_replace ( $s, $r, $text );
  }

/*
*************************************************
*/
function removexswhitespace ( $field ) {

/* trim removes the following chars from the beginning and end of a field 
" " (ASCII 32 (0x20)), an ordinary space.
"\t" (ASCII 9 (0x09)), a tab.
"\n" (ASCII 10 (0x0A)), a new line (line feed).
"\r" (ASCII 13 (0x0D)), a carriage return.
"\0" (ASCII 0 (0x00)), the NUL-byte.
"\x0B" (ASCII 11 (0x0B)), a vertical tab.
the following routing gets rid of multiple spaces in the middle
*/
	$field	= trim ( $field );
	$field	= rtrim ( $field );
	$tmp	= "";
	$item_length			= strlen ( $field );
	$item_length_minus_1	= $item_length - 1;
	if ( $item_length > 0 ) {
		for ( $index = 0; $index < $item_length; $index++ ) {
			$char	= substr ( $field, $index, 1 );
			if ( $char != " " ) {
				$tmp	.= $char;
			} else {
				if ( strlen ( $tmp ) > 0 ) {
					$index_plus_1	= $index + 1;
					$new_char		= substr ( $field, $index_plus_1, 1 );
					if ( $new_char != " " && $index != $item_length_minus_1 ) {
						$tmp	.= $char;
					}
				}
			}
		}
	}
	return $tmp;
/*
javascript below is original of above	
	
  var tmp = "";
  var item_length = item.value.length;
  var item_length_minus_1 = item.value.length - 1;
  for (index = 0; index < item_length; index++) {
    if (item.value.charAt(index) != " ") {
      tmp += item.value.charAt(index);
    } else {
      if (tmp.length > 0) {
        if (item.value.charAt(index+1) != " " && index != item_length_minus_1) {
          tmp += item.value.charAt(index);
        }
      }
    }
  }
  item.value = tmp;
*/
}
